Page MenuHomePhabricator

llvm-link: Add -override flag to prefer duplicate symbols from one module.
AbandonedPublic

Authored by luqmana on Apr 15 2015, 2:51 PM.

Details

Reviewers
atrick
dexonsmith
Summary

This adds an -override flag to llvm-link which lets you specify further .bc's which should take precedent in case you hit duplicate symbols.

The intended use case is for example you have a large module from which you extract a single function. You then modify this functions (perhaps by hand or running it through opt) and then want to merge it back into the original module. If you simply tried to pass both to llvm-link now you'd get an error about duplicate symbols.

Diff Detail

Repository
rL LLVM

Event Timeline

luqmana updated this revision to Diff 23804.Apr 15 2015, 2:51 PM
luqmana retitled this revision from to llvm-link: Add -override flag to prefer duplicate symbols from one module..
luqmana updated this object.
luqmana edited the test plan for this revision. (Show Details)
luqmana set the repository for this revision to rL LLVM.
luqmana added subscribers: Unknown Object (MLST), atrick.

Not sure who owns llvm-link but you seem to have touched it last.

atrick accepted this revision.Apr 20 2015, 12:02 PM
atrick added a reviewer: atrick.

I think this is the simplest way to accomplish what we need. LGTM.

I'm open to any bike shedding of the --override option name.

This revision is now accepted and ready to land.Apr 20 2015, 12:02 PM
luqmana abandoned this revision.Apr 22 2015, 7:55 AM